---
title: unicode
slug: Web/SVG/Attribute/unicode
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>unicode</code></strong> attribute specifies one or more {{Glossary("Unicode")}} characters indicating the sequence of Unicode characters which corresponds to a {{Glossary("glyph")}}.</p>

<p>If a character is provided, then this glyph corresponds to the given Unicode character. If multiple characters are provided, then this glyph corresponds to the given sequence of Unicode characters. One use of a sequence of characters is ligatures. For example, if <code>unicode="ffl"</code>, then the given glyph will be used to render the sequence of characters "f", "f", and "l".<br>
 <br>
 It is often useful to refer to characters using XML character references expressed in hexadecimal notation or decimal notation. For example, <code>unicode="ffl"</code> could be expressed as XML character references in hexadecimal notation as <code>unicode="&amp;#x66;&amp;#x66;&amp;#x6c;"</code> or in decimal notation as <code>unicode="&amp;#102;&amp;#102;&amp;#108;"</code>.<br>
 <br>
 The <code>unicode</code> attribute contributes to the process for deciding which glyph(s) are used to represent which character(s). If the attribute is not provided for a given <code>&lt;glyph&gt;</code>, then the only way to use this glyph is via an {{SVGElement("altGlyph")}} reference.</p>

<p>Only one element is using this attribute: {{SVGElement("glyph")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;string&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;string&gt;</code></dt>
 <dd>
 <p>This value specifies one or more Unicode characters corresponding to a glyph.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#GlyphElementUnicodeAttribute", "unicode")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.glyph.unicode")}}</p>
